@import (reference) '../../card/Cards.less';

#cardsDragLayer {
  position: fixed;
  pointer-events: none;
  z-index: 100;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;

  #draggedItem {
    pointer-events: none;
    // Translate 3d, supposed to use GPU
    transform: translate3d(0,0,0);
    // If not fixed (or absolute) takes forever to update
    position: fixed;
  }
}

.card.dragPreview {
  pointer-events: none;
  background-color: @cardPreviewBackground;
  border-radius: @cardBorderRadius;
  box-shadow: rgba(0, 0, 0, 0.125) 0 1px 2px;
  position: absolute;
  left: -150px;
  width: 300px;
  .name {
    padding: 1.25rem;
    text-align: center;
  }
}